## class SizeShapeCenterCmd : public SizeShapeCmd

> command class for resizing a shape.

## Inheritance:

### Public Methods

  | SizeShapeCenterCmd (GShape *shape, int direction)
  void | Execute ()
  void | UnExecute ()
  void | Executable (int w, int h)
  const char* | GetName () const

### Inherited from SizeShapeCmd:

### Public Methods

void TrackMouse(TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)

### Protected Fields

GShape* shape
int newWidth
int newHeight
int oldWidth
int oldHeight
int direction
bool constrainX
bool constrainY

### Protected Methods

virtual void DrawOutline(const Point *pt)

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command class for resizing a shape.

`SizeShapeCenterCmd(GShape *shape, int direction)`

`void Execute()`

`void UnExecute()`

`void Executable(int w, int h)`

`const char* GetName() const`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de